libportaudio2-32bit-190600_20161030-lp150.1.12.x86_64.rpm


Advertisement

Description

libportaudio2-32bit - Portable Real-Time Audio Library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename libportaudio2-32bit-190600_20161030-lp150.1.12.x86_64.rpm
Package name libportaudio2-32bit
Package version 190600_20161030
Package release lp150.1.12
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.portaudio.com/
License MIT
Maintainer -
Download size 75.45 KB
Installed size 198.70 KB
PortAudio is a portable audio I/O library designed for cross-platform
support of audio. It uses a callback mechanism to request audio
processing. Audio can be generated in various formats, including 32 bit
floating point, and will be converted to the native format internally.

Alternatives

Package Version Architecture Repository
libportaudio2-32bit - - -

Requires

Name Value
libasound.so.2 -
libasound.so.2(ALSA_0.9) -
libasound.so.2(ALSA_0.9.0rc4) -
libc.so.6(GLIBC_2.15) -
libjack.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.3) -
librt.so.1 -
librt.so.1(GLIBC_2.2) -

Provides

Name Value
libportaudio.so.2 -
libportaudio2-32bit = 190600_20161030-lp150.1.12
libportaudio2-32bit(x86-32) = 190600_20161030-lp150.1.12

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libportaudio2-32bit-190600_20161030-lp150.1.12.x86_64.rpm
Source Package portaudio-190600_20161030-lp150.1.12.src.rpm

Install Howto

Install libportaudio2-32bit rpm package:

# zypper install libportaudio2-32bit

Files

Path
/usr/lib/libportaudio.so.2
/usr/lib/libportaudio.so.2.0.0

Changelog

2017-08-02 - olaf@aepfle.de
- Add pkg-config and add alsa to dependencies of devel pkg
2017-05-11 - tuukka.pasanen@ilmi.fi
- Update to latest version v190600_20161030
- Changes to portaudio.h (There were no changes to existing `portaudio.h` API/ABI in this release)
- The API was extended as follows:
- Prior to March 3, 2015, `Pa_GetVersion()` always returned 1899 in the `V19` version of PortAudio.
- On March 3, 2015, enhanced version retrieval APIs were added to `portaudio.h`:
* `Pa_GetVersion()` now returns a useful number, e.g. 0×00130501 for 19.5.1
* added `paMakeVersionNumber` macro for comparing to `int` version returned by `Pa_GetVersion()`
* added `PaVersionInfo` struct with version major, minor, subminor, versionControlRevision, versionText
* added `Pa_GetVersionInfo()` gets `PaVersionInfo` struct
* `Pa_GetVersionText()` is deprecated; use `Pa_GetVersionInfo()?versionText`
- On March 3, 2015, the version number was set to 19.5.0. (5 was chosen to reflect that there were 4 prior V19 stable snapshots.)
* This new release has version number 19.6.0.
* The Host-API-specific structures for WDM/KS and WASAPI were altered in this release. This is an ABI change.
Client code depending on these particular host-API-specific APIs will need to be recompiled and linked against
a compatible PortAudio version. See below. Changes to WDM/KS Host-API-specific Struct in pa_win_wdmks.h
* Added `flags` and `channelMask` fields to `PaWinWDMKSInfo`. 4aa340a57e
- These changes were made on April 9, 2014. At that time `Pa_GetVersion()` returned 1899. The changes are present when the version number is 19.5.0 or greater.
* Forward/backward compatibility: The implementation checks the `size` field of `PaWinWDMKSInfo`.
The old version will reject new structs, and the new version will reject old structs.
In both cases `paIncompatibleHostApiSpecificStreamInfo` is the error returned.
* Changes to WASAPI Host-API-specific Struct pa_win_wasapi.h
* Added `streamCategory` and `streamOption` to `PaWasapiStreamInfo` 4e194eaecf
- These changes were made on October 19, 2015. At that time `Pa_GetVersion()` returned 19.5.0. The changes are present when the version number is 19.6.0 or greater.
* Forward/backward compatibility: The implementation checks the `size` field of `PaWasapiStreamInfo`.
The old version will reject new structs, and the new version will reject old structs. In both cases
`paIncompatibleHostApiSpecificStreamInfo` is the error returned.
- Full Changelog: https://app.assembla.com/wiki/show/portaudio/pa_stable_v190600_20161030
2015-06-29 - olaf@aepfle.de
- Enable libportaudiocpp
2014-05-28 - crrodriguez@opensuse.org
- disable timestamps in doxygen too, make build-compare happy
2014-04-09 - p.drouand@gmail.com
- Update to version 20140130
+ No changelog available
2013-05-06 - cfarrell@suse.com
- license update: MIT
The correct license for the package is MIT
2012-04-02 - reddwarf@opensuse.org
- run spec_cleaner
- use full URL in Source tag
- add missing provides/obsoletes from previous rename
- use date in version number: makes more sense and otherwise the
obsoletes of the package rename would not work
- patch __DATE__ and __TIME__ references to help build-compare

See Also

Package Description
libportaudiocpp0-190600_20161030-lp150.1.12.x86_64.rpm Portable Real-Time Audio Library
libportmidi0-217-lp150.1.3.x86_64.rpm Real-time MIDI input/output audio library
libpostproc-devel-3.4.2-lp150.2.1.x86_64.rpm Development files for the FFmpeg post-processing library
libpostproc54-3.4.2-lp150.2.1.x86_64.rpm FFmpeg post-processing library
libpostproc54-32bit-3.4.2-lp150.2.1.x86_64.rpm FFmpeg post-processing library
libpotrace0-1.15-lp150.3.3.x86_64.rpm Library for Tracing a Bitmap to Scalable Outline Image
libpowerman0-2.3.24-lp150.1.6.x86_64.rpm Libraries for applications using PowerMan
libpq5-10.3-lp150.2.2.x86_64.rpm Shared Libraries Required for PostgreSQL Clients
libpq5-32bit-10.3-lp150.2.2.x86_64.rpm Shared Libraries Required for PostgreSQL Clients
libpqos1-1.1.1-lp150.1.11.x86_64.rpm Runtime qpos library
libpqos1-devel-1.1.1-lp150.1.11.x86_64.rpm Development package for libpqos1
libpqxx-5_0-5.0.1-lp150.1.4.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-devel-5.0.1-lp150.1.4.x86_64.rpm C++ Client Library for PostgreSQL
libpqxx-doc-5.0.1-lp150.1.4.noarch.rpm Documentation for libpqxx
libprelude-devel-4.0.0-lp150.1.9.x86_64.rpm Development files for libprelude
Advertisement
Advertisement